Bug 112762 - candidate window not visible with a maximized window
candidate window not visible with a maximized window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kinput2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-30 15:20 EST by Eido Inoue
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 18:02:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eido Inoue 2003-12-30 15:20:57 EST
Description of problem:
With certain Japanese servers that display multiple candidates in a
window (Canna... FreeWnn usually displays the candidates one at a time
inline unless a control/function sequence is pressed), the candidate
window will not be visible, and will be underneath the gnome-panel.

Version-Release number of selected component (if applicable):
kinput2-canna-wnn6-v3.1-11

How reproducible:
sometimes

Steps to Reproduce:
1. Open Mozilla in a default Japanese environment with Canna running
2. Maximize the mozilla window
3. Put focus in an input area like the URL area, turn on kinput
   with Shift-Space, then type a romaji sequence in an input area
   (such as "sushi"), press the space bar twice-- the first time to
   convert, the second time to display alternate candidates.
  
Actual results:
The candidate window sometimes (especially the first time) appears
underneath the gnome-panel

Expected results:
The candidate window should be the top z-layer, with focus either
staying on the parent window or focus on the candidate window, and the
focus returning to the parent after a selection is chosen by pressing
Enter.

Additional info:
The input status (the "[ あ ]" in the lower left corner) does always
stay on the top Z-layer, which is correct.
Comment 1 Warren Togami 2004-02-03 18:45:18 EST
http://bugzilla.gnome.org/show_bug.cgi?id=66471
otaylor said that this is a general gtk problem.  I think he indicated
that kinput2 itself needs to implement this functionality.  Note that
it currently works with openoffice-1.1.0-24 and all qt apps, but not
mozilla and many other gtk2 apps.
Comment 2 Eido Inoue 2004-05-12 15:12:01 EDT
It should be noted that IIIMF (on FC2t3) does not have this problem.
Comment 3 Eido Inoue 2005-02-13 18:02:34 EST
closing this fc1 bug as its fixed in latest versions

Note You need to log in before you can comment on or make changes to this bug.